/// <reference types="react" />
export declare const StyledFilenameCaption: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").SpanAttributes & import("..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const StyledTree: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTreeRowContainer: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").SpanAttributes & import("..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>, any, {
    isHighlighted: boolean;
    isSelectable: boolean;
    isSelected: boolean;
}, never>;
export declare const StyledTreeRowContent: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTreeRowWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledChevronContainer: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").BoxProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledIconContainer: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").BoxProps & import("react").RefAttributes<HTMLDivElement>>, any, {
    $isSelected?: boolean | undefined;
}, never>;
export declare const StyledChevron: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {
    $isExpanded?: boolean | undefined;
}, never>;
